Index: FP_Door.cxx
===================================================================
--- FP_Door.cxx	(revision 442)
+++ FP_Door.cxx	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FP_Door.cxx,v 1.1 2003/03/04 03:17:53 easysw Exp $"
+// "$Id$"
 //
 // FP_Door code for FloorPlan.
 //
@@ -167,9 +167,13 @@
 //
 // 'FP_Door::()' - .
 //
-
+#if __GNUC__ > 3
 bool
+FP_Door::print(std::ostream &st)
+#else
+bool
 FP_Door::print(ostream *st)
+#endif
 {
   return (false);
 }
@@ -189,14 +193,18 @@
 //
 // 'FP_Door::()' - .
 //
-
+#if __GNUC__ > 3
 bool
+FP_Door::write(std::ostream *st)
+#else
+bool
 FP_Door::write(ostream *st)
+#endif
 {
   return (false);
 }
 
 
 //
-// End of "$Id: FP_Door.cxx,v 1.1 2003/03/04 03:17:53 easysw Exp $".
+// End of "$Id$".
 //
Index: FP_Node.cxx
===================================================================
--- FP_Node.cxx	(revision 442)
+++ FP_Node.cxx	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FP_Node.cxx,v 1.1 2003/03/04 03:18:06 easysw Exp $"
+// "$Id$"
 //
 // FP_Node code for FloorPlan.
 //
@@ -169,9 +169,13 @@
 //
 // 'FP_Node::print()' - Print the node.
 //
-
+#if __GNUC__ > 3
 bool						// O - True on success
+FP_Node::print(std::ostream *st)			// O - Output stream
+#else
+bool						// O - True on success
 FP_Node::print(ostream *st)			// O - Output stream
+#endif
 {
   bool		status;				// Current status
   FP_Node	*cn;				// Current node
@@ -187,9 +191,13 @@
 //
 // 'FP_Node::read()' - Read a node.
 //
-
+#if __GNUC__ > 3
 bool						// O - True on success
+FP_Node::read(std::istream *st)			// I - Input stream
+#else
+bool						// O - True on success
 FP_Node::read(istream *st)			// I - Input stream
+#endif
 {
   return (false);
 }
@@ -209,14 +217,18 @@
 //
 // 'FP_Node::write()' - Write a node.
 //
-
+#if __GNUC__ > 3
 bool						// O - True on success
+FP_Node::write(std::ostream *st)			// I - Output stream
+#else
+bool						// O - True on success
 FP_Node::write(ostream *st)			// I - Output stream
+#endif
 {
   return (false);
 }
 
 
 //
-// End of "$Id: FP_Node.cxx,v 1.1 2003/03/04 03:18:06 easysw Exp $".
+// End of "$Id$".
 //
Index: FP_Text.cxx
===================================================================
--- FP_Text.cxx	(revision 442)
+++ FP_Text.cxx	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FP_Text.cxx,v 1.1 2003/03/04 03:18:07 easysw Exp $"
+// "$Id$"
 //
 // FP_Text code for FloorPlan.
 //
@@ -58,8 +58,13 @@
 }
 
 
+#if __GNUC__ > 3
 bool
+FP_Text::print(std::ostream *st)
+#else
+bool
 FP_Text::print(ostream *st)
+#endif
 {
   return (false);
 }
@@ -71,14 +76,19 @@
   return ("FP_Text");
 }
 
-
+#if __GNUC__ > 3
 bool
+FP_Text::write(std::ostream *st)
+#else
+bool
 FP_Text::write(ostream *st)
+#endif
+
 {
   return (false);
 }
 
 
 //
-// End of "$Id: FP_Text.cxx,v 1.1 2003/03/04 03:18:07 easysw Exp $".
+// End of "$Id$".
 //
Index: FP_Wall.cxx
===================================================================
--- FP_Wall.cxx	(revision 442)
+++ FP_Wall.cxx	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FP_Wall.cxx,v 1.1 2003/03/04 03:18:07 easysw Exp $"
+// "$Id$"
 //
 // FP_Wall code for FloorPlan.
 //
@@ -233,8 +233,13 @@
 // 'FP_Wall::()' - .
 //
 
+#if __GNUC__ > 3
 bool
+FP_Wall::print(std::ostream *st)
+#else
+bool
 FP_Wall::print(ostream *st)
+#endif
 {
   return (false);
 }
@@ -255,13 +260,18 @@
 // 'FP_Wall::()' - .
 //
 
+#if __GNUC__ > 3
 bool
+FP_Wall::write(std::ostream *st)
+#else
+bool
 FP_Wall::write(ostream *st)
+#endif
 {
   return (false);
 }
 
 
 //
-// End of "$Id: FP_Wall.cxx,v 1.1 2003/03/04 03:18:07 easysw Exp $".
+// End of "$Id$".
 //
Index: FP_Window.cxx
===================================================================
--- FP_Window.cxx	(revision 442)
+++ FP_Window.cxx	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FP_Window.cxx,v 1.1 2003/03/04 03:18:07 easysw Exp $"
+// "$Id$"
 //
 // FP_Window code for FloorPlan.
 //
@@ -128,8 +128,13 @@
 // 'FP_Window::()' - .
 //
 
+#if __GNUC__ > 3
 bool
+FP_Window::print(std::ostream *st)
+#else
+bool
 FP_Window::print(ostream *st)
+#endif
 {
   return (false);
 }
@@ -149,14 +154,18 @@
 //
 // 'FP_Window::()' - .
 //
-
+#if __GNUC__ > 3
 bool
+FP_Window::write(std::ostream *st)
+#else
+bool
 FP_Window::write(ostream *st)
+#endif
 {
   return (false);
 }
 
 
 //
-// End of "$Id: FP_Window.cxx,v 1.1 2003/03/04 03:18:07 easysw Exp $".
+// End of "$Id$".
 //
Index: FP_Door.h
===================================================================
--- FP_Door.h	(revision 442)
+++ FP_Door.h	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FP_Door.h,v 1.1 2003/03/04 03:17:53 easysw Exp $"
+// "$Id$"
 //
 // header file for FloorPlan.
 //
@@ -24,6 +24,9 @@
 //
 
 #  include "FP_Window.h"
+#ifndef FP_Door_h
+#include "FP_Door.h"
+#endif
 
 
 class FP_Door : public FP_Window
@@ -39,14 +42,22 @@
   virtual bool	bbox(float &l, float &b, float &r, float &t);
   virtual void	draw(int lmask, bool pick = false);
   virtual int	handle(int event);
+#if __GNUC__ > 3
+  virtual bool	print(std::ostream &);
+#else
   virtual bool	print(ostream *st);
+#endif
   virtual const char *type();
+#if __GNUC__ > 3
+  virtual bool	write(std::ostream *st);
+#else
   virtual bool	write(ostream *st);
+#endif
 };
 
 
 #endif // !FP_Door_h
 
 //
-// End of "$Id: FP_Door.h,v 1.1 2003/03/04 03:17:53 easysw Exp $".
+// End of "$Id$".
 //
Index: FP_Node.h
===================================================================
--- FP_Node.h	(revision 442)
+++ FP_Node.h	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FP_Node.h,v 1.1 2003/03/04 03:17:51 easysw Exp $"
+// "$Id$"
 //
 // FP_Node header file for FloorPlan.
 //
@@ -19,14 +19,15 @@
 #ifndef FP_Node_h
 #  define FP_Node_h
 
+
 //
 // Include necessary headers...
 //
 
 #  include <iostream>
-
 class FP_Node
 {
+
   FP_Node	*prev_;
   FP_Node	*next_;
   FP_Node	*parent_;
@@ -41,8 +42,12 @@
   {
     char	name[16];
     char	*value;
+#if __GNUC__ > 3
+    XATTR(std::iostream *st);
+#else
+    XATTR(iostream *st);
+#endif
 
-    XATTR(istream *st);
     ~XATTR();
   };
 
@@ -52,13 +57,22 @@
     int		num_attrs,
 		alloc_attrs;
     XATTR	*attrs;
+#if __GNUC__ > 3
+    XML(std::istream *st=0);
+#else
+    XML(istream *st = 0);
+#endif
 
-    XML(istream *st = 0);
     ~XML();
 
     void	clear();
     char	*find_attr(const char *name);
+#if __GNUC__ > 3
+    bool	read(std::istream *st);
+#else
     bool	read(istream *st);
+#endif
+
   };
 
   public:
@@ -78,17 +92,29 @@
   int		number() const { return (number_); }
   FP_Node	*parent() { return (parent_); }
   FP_Node	*prev() { return (prev_); }
+#if __GNUC__ > 3
+  virtual bool	print(std::ostream *st);
+#else
   virtual bool	print(ostream *st);
+#endif
+#if __GNUC__ > 3
+  bool		read(std::istream *st);
+#else
   bool		read(istream *st);
+#endif
   void		selected(bool s) { selected_ = s; }
   bool		selected() const { return (selected_); }
   virtual const char *type();
+#if __GNUC__ > 3
+  virtual bool	write(std::ostream *st);
+#else
   virtual bool	write(ostream *st);
+#endif
 };
 
 
 #endif // !FP_Node_h
 
 //
-// End of "$Id: FP_Node.h,v 1.1 2003/03/04 03:17:51 easysw Exp $".
+// End of "$Id$".
 //
Index: FP_Text.h
===================================================================
--- FP_Text.h	(revision 442)
+++ FP_Text.h	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FP_Text.h,v 1.1 2003/03/04 03:17:51 easysw Exp $"
+// "$Id$"
 //
 // FP_Text header file for FloorPlan.
 //
@@ -42,14 +42,22 @@
   virtual bool	bbox(float &l, float &b, float &r, float &t);
   virtual void	draw(int lmask, bool pick = false);
   virtual int	handle(int event);
+#if __GNUC__ > 3
+  virtual bool	print(std::ostream *st);
+#else
   virtual bool	print(ostream *st);
+#endif
   virtual const char *type();
+#if __GNUC__ > 3
+  virtual bool	write(std::ostream *st);
+#else
   virtual bool	write(ostream *st);
+#endif
 };
 
 
 #endif // !FP_Text_h
 
 //
-// End of "$Id: FP_Text.h,v 1.1 2003/03/04 03:17:51 easysw Exp $".
+// End of "$Id$".
 //
Index: FP_Wall.h
===================================================================
--- FP_Wall.h	(revision 442)
+++ FP_Wall.h	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FP_Wall.h,v 1.1 2003/03/04 03:17:51 easysw Exp $"
+// "$Id$"
 //
 // FP_Wall header file for FloorPlan.
 //
@@ -40,16 +40,24 @@
   virtual void	draw(int lmask, bool pick = false);
   const float	*end() { return (end_); }
   virtual int	handle(int event);
+#if __GNUC__ > 3
+  virtual bool	print(std::ostream *st);
+#else
   virtual bool	print(ostream *st);
+#endif
   const float	*start() { return (start_); }
   float		thickness() const { return (thickness_); }
   virtual const char *type();
+#if __GNUC__ > 3
+  virtual bool	write(std::ostream *st);
+#else
   virtual bool	write(ostream *st);
+#endif
 };
 
 
 #endif // !FP_Wall_h
 
 //
-// End of "$Id: FP_Wall.h,v 1.1 2003/03/04 03:17:51 easysw Exp $".
+// End of "$Id$".
 //
Index: FP_Window.h
===================================================================
--- FP_Window.h	(revision 442)
+++ FP_Window.h	(working copy)
@@ -1,5 +1,5 @@
 //
-// "$Id: FP_Window.h,v 1.1 2003/03/04 03:17:51 easysw Exp $"
+// "$Id$"
 //
 // FP_Window header file for FloorPlan.
 //
@@ -39,15 +39,23 @@
   virtual void	draw(int lmask, bool pick = false);
   float		end() const { return (end_); }
   virtual int	handle(int event);
+#if __GNUC__ > 3
+  virtual bool	print(std::ostream *st);
+#else
   virtual bool	print(ostream *st);
+#endif
   float		start() const { return (start_); }
   virtual const char *type();
+#if __GNUC__ > 3
+  virtual bool	write(std::ostream *st);
+#else
   virtual bool	write(ostream *st);
+#endif
 };
 
 
 #endif // !FP_Window_h
 
 //
-// End of "$Id: FP_Window.h,v 1.1 2003/03/04 03:17:51 easysw Exp $".
+// End of "$Id$".
 //
